package com.ruoyi.common.third.properties;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

@Configuration
@ConfigurationProperties(prefix = "third-switch.pw.encrypt")
public class PwEncryptProperties {
    // 密码加密规则
    private String type;
    // 前端密码是否加密
    private boolean enablePwEncryption = false;

    /**
     * 前端密码加密算法
     */
    private String pwEncryptionType = "SM2";

    public PwEncryptProperties(String type) {
        this.type = type;
    }

    public PwEncryptProperties() {
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public boolean isEnablePwEncryption() {
        return enablePwEncryption;
    }

    public void setEnablePwEncryption(boolean enablePwEncryption) {
        this.enablePwEncryption = enablePwEncryption;
    }

    public String getPwEncryptionType() {
        return pwEncryptionType;
    }

    public void setPwEncryptionType(String pwEncryptionType) {
        this.pwEncryptionType = pwEncryptionType;
    }
}
